tbb::interface7::internal Namespace Reference

## Classes

class | delegate_base
class | delegated_function
class | delegated_function< F, void >
class | padded_mutex
class | padded_mutex< Mutex, false >
class | padded_mutex< Mutex, true >
struct | return_type_or_void
class | task_arena_base

## Functions

void __TBB_EXPORTED_FUNC | isolate_within_arena (delegate_base &d, intptr_t isolation=0)
template<typename R , typename F >
R | isolate_impl (F &f)

## Variables

static const size_t | cache_line_size = 64

## Function Documentation

## isolate_impl()

template<typename R , typename F >

R tbb::interface7::internal::isolate_impl | ( | F & | f | ) |

Definition at line 214 of file task_arena.h.

{
delegated_function<F, R> d(f);
isolate_within_arena(d);
return d.consume_result();
}

References d, and isolate_within_arena().

Here is the call graph for this function:

## isolate_within_arena()

void __TBB_EXPORTED_FUNC tbb::interface7::internal::isolate_within_arena | ( | delegate_base & | d,
|  | intptr_t | isolation = `0`
| ) |  |

Referenced by isolate_impl().

Here is the caller graph for this function:

## Variable Documentation

## cache_line_size

const size_t tbb::interface7::internal::cache_line_size = 64

static

Definition at line 28 of file _mutex_padding.h.

Referenced by tbb::interface7::internal::padded_mutex< Mutex, false >::impl(), and tbb::interface7::internal::padded_mutex< Mutex, true >::impl().

tbb::interface7::internal::isolate_within_arena
void __TBB_EXPORTED_FUNC isolate_within_arena(delegate_base &d, intptr_t isolation=0)
d
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d
Definition: ittnotify_static.h:109

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.